      SUBROUTINE RBSFDU
      IMPLICIT NONE
*
* RBSFDU - Read Binary SFDU descriptor record into common block
*
* Local Variables...
*    BINREC - Binary record read from input file.
*
      INCLUDE 'misc.inc'
      INCLUDE 'sfdu.inc'

      CHARACTER BINREC*500

      CALL RBREAD (BINREC)

      IF (BINREC(1:1) .EQ. '1') THEN
         RECKEY = BINREC(1:20)
         RECORD = BINREC(21:)
      ELSE
         RECKEY = ' '
         RECORD = BINREC
      ENDIF

      IF (RECORD(1:4) .NE. 'CCSD') THEN
         PRINT *,'* Not an SFDU descriptor record!'
         STOP

      ELSE
         READ (UNIT=RECORD,FMT=1000)
     +      ZCTRID,ZVERID,ZCLAID,SPARE(1:2),ZDDRID,ZLENGT,
     +      ICTRID,IVERID,ICLAID,SPARE(3:4),IDDRID,ILENGT

 1000    FORMAT (2(A4,A1,A1,A2,A4,A8))
      ENDIF

      RECLEN = 40

      RETURN
      END
